.NET

Reply
Valued Contributor
smcclure
Posts: 60
Registered: ‎06-08-2006
Message 1 of 3 (122 Views)

Setting the Active Document in .NET

122 Views, 2 Replies
06-08-2006 08:30 AM
Should I use Document.AcadDocument.Activate()?

Should I use Application.AcadApplication.ActiveDocument = doc.AcadDocument?

Does anyone have a suggestion of a better way to load a file and activate it? I am looking for something along the lines of the open document functionality (in the application context) in the AcApDocumentManager.

Thanks!
- Scott
Valued Contributor
Prakashdotc
Posts: 88
Registered: ‎03-03-2006
Message 2 of 3 (122 Views)

Re: Setting the Active Document in .NET

06-08-2006 10:28 PM in reply to: smcclure
hi smcclure,

try this,
AcadApplication App;
AcadDocument Doc;
Doc = App.ActiveDocument;
Valued Contributor
smcclure
Posts: 60
Registered: ‎06-08-2006
Message 3 of 3 (122 Views)

Re: Setting the Active Document in .NET

06-09-2006 05:36 AM in reply to: smcclure
Thanks!
- Scott

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community